//  ./scdefs.inc : kernel 0202019, syscall numbers assigned to their names

.macro sys_ sc=0
.att_syntax noprefix
.ifnc \sc,0
	mov $__NR_\sc,eax
.endif
	int $0x80

.att_syntax noprefix
.endm

#define kernel_vers "0202019"
.set page_shift,12
.set max_syscalls,190

.set __NR_exit,1
.set __NR_fork,2
.set __NR_read,3
.set __NR_write,4
.set __NR_open,5
.set __NR_close,6
.set __NR_waitpid,7
.set __NR_creat,8
.set __NR_link,9
.set __NR_unlink,10
.set __NR_execve,11
.set __NR_chdir,12
.set __NR_time,13
.set __NR_mknod,14
.set __NR_chmod,15
.set __NR_lchown,16
.set __NR_break,17
.set __NR_oldstat,18
.set __NR_lseek,19
.set __NR_getpid,20
.set __NR_mount,21
.set __NR_umount,22
.set __NR_setuid,23
.set __NR_getuid,24
.set __NR_stime,25
.set __NR_ptrace,26
.set __NR_alarm,27
.set __NR_oldfstat,28
.set __NR_pause,29
.set __NR_utime,30
.set __NR_stty,31
.set __NR_gtty,32
.set __NR_access,33
.set __NR_nice,34
.set __NR_ftime,35
.set __NR_sync,36
.set __NR_kill,37
.set __NR_rename,38
.set __NR_mkdir,39
.set __NR_rmdir,40
.set __NR_dup,41
.set __NR_pipe,42
.set __NR_times,43
.set __NR_prof,44
.set __NR_brk,45
.set __NR_setgid,46
.set __NR_getgid,47
.set __NR_signal,48
.set __NR_geteuid,49
.set __NR_getegid,50
.set __NR_acct,51
.set __NR_umount2,52
.set __NR_lock,53
.set __NR_ioctl,54
.set __NR_fcntl,55
.set __NR_mpx,56
.set __NR_setpgid,57
.set __NR_ulimit,58
.set __NR_oldolduname,59
.set __NR_umask,60
.set __NR_chroot,61
.set __NR_ustat,62
.set __NR_dup2,63
.set __NR_getppid,64
.set __NR_getpgrp,65
.set __NR_setsid,66
.set __NR_sigaction,67
.set __NR_sgetmask,68
.set __NR_ssetmask,69
.set __NR_setreuid,70
.set __NR_setregid,71
.set __NR_sigsuspend,72
.set __NR_sigpending,73
.set __NR_sethostname,74
.set __NR_setrlimit,75
.set __NR_getrlimit,76
.set __NR_getrusage,77
.set __NR_gettimeofday,78
.set __NR_settimeofday,79
.set __NR_getgroups,80
.set __NR_setgroups,81
.set __NR_select,82
.set __NR_symlink,83
.set __NR_oldlstat,84
.set __NR_readlink,85
.set __NR_uselib,86
.set __NR_swapon,87
.set __NR_reboot,88
.set __NR_readdir,89
.set __NR_mmap,90
.set __NR_munmap,91
.set __NR_truncate,92
.set __NR_ftruncate,93
.set __NR_fchmod,94
.set __NR_fchown,95
.set __NR_getpriority,96
.set __NR_setpriority,97
.set __NR_profil,98
.set __NR_statfs,99
.set __NR_fstatfs,100
.set __NR_ioperm,101
.set __NR_socketcall,102
.set __NR_syslog,103
.set __NR_setitimer,104
.set __NR_getitimer,105
.set __NR_stat,106
.set __NR_lstat,107
.set __NR_fstat,108
.set __NR_olduname,109
.set __NR_iopl,110
.set __NR_vhangup,111
.set __NR_idle,112
.set __NR_vm86old,113
.set __NR_wait4,114
.set __NR_swapoff,115
.set __NR_sysinfo,116
.set __NR_ipc,117
.set __NR_fsync,118
.set __NR_sigreturn,119
.set __NR_clone,120
.set __NR_setdomainname,121
.set __NR_uname,122
.set __NR_modify_ldt,123
.set __NR_adjtimex,124
.set __NR_mprotect,125
.set __NR_sigprocmask,126
.set __NR_create_module,127
.set __NR_init_module,128
.set __NR_delete_module,129
.set __NR_get_kernel_syms,130
.set __NR_quotactl,131
.set __NR_getpgid,132
.set __NR_fchdir,133
.set __NR_bdflush,134
.set __NR_sysfs,135
.set __NR_personality,136
.set __NR_afs_syscall,137
.set __NR_setfsuid,138
.set __NR_setfsgid,139
.set __NR__llseek,140
.set __NR_getdents,141
.set __NR__newselect,142
.set __NR_flock,143
.set __NR_msync,144
.set __NR_readv,145
.set __NR_writev,146
.set __NR_getsid,147
.set __NR_fdatasync,148
.set __NR__sysctl,149
.set __NR_mlock,150
.set __NR_munlock,151
.set __NR_mlockall,152
.set __NR_munlockall,153
.set __NR_sched_setparam,154
.set __NR_sched_getparam,155
.set __NR_sched_setscheduler,156
.set __NR_sched_getscheduler,157
.set __NR_sched_yield,158
.set __NR_sched_get_priority_max,159
.set __NR_sched_get_priority_min,160
.set __NR_sched_rr_get_interval,161
.set __NR_nanosleep,162
.set __NR_mremap,163
.set __NR_setresuid,164
.set __NR_getresuid,165
.set __NR_vm86,166
.set __NR_query_module,167
.set __NR_poll,168
.set __NR_nfsservctl,169
.set __NR_setresgid,170
.set __NR_getresgid,171
.set __NR_prctl,172
.set __NR_rt_sigreturn,173
.set __NR_rt_sigaction,174
.set __NR_rt_sigprocmask,175
.set __NR_rt_sigpending,176
.set __NR_rt_sigtimedwait,177
.set __NR_rt_sigqueueinfo,178
.set __NR_rt_sigsuspend,179
.set __NR_pread,180
.set __NR_pwrite,181
.set __NR_chown,182
.set __NR_getcwd,183
.set __NR_capget,184
.set __NR_capset,185
.set __NR_sigaltstack,186
.set __NR_sendfile,187
.set __NR_getpmsg,188
.set __NR_putpmsg,189
.set __NR_vfork,190
.set __NR__exit,__NR_exit

//  ./scdefs.inc <eof>
